.recommend-places-container {


    display: grid;
    gap: 2vw;

    grid-template-columns: repeat(auto-fill, minmax(25vw, 1fr));

    margin-right: 2.5vw;
    margin-left: 2.5vw;

    margin-bottom: 4vh;
    margin-top: 17vh;

}

.recommend-places-object {

    width: 30vw;
    height: 30vw;

    position: relative;

    box-shadow: 0 1px 5px 2px black;

    transition: 0.2s;


}

.recommend-places-object:hover {

    transform: scale(1.05);

}


.reccomended-places-grid-object-img {

    width: 100%;
    height: 100%;
    object-fit: cover;


}

.img-gallery-fixed-div {

    background-color: rgba(0, 0, 0,0.5);

    height: 100vh;
    width: 100vw;

    position: fixed;
    top: 0;
    left: 0;

    z-index: 10000;

}

.img-gallery-fixed-xbtn-div {

    height: 5vh;
    width: 5vw;

    position: fixed;
    right: 0;
    top: 0;

    display: flex;
    align-items: center;
    justify-content: center;

}

.img-gallery-fixed-x::before {

    flex: 1;
    color: white;

}

.img-gallery-fixed {

    height: 90vh;
    width: 90vw;

    position: relative;
    top: 5vh;
    left: 5vw;

}


.img-gallery-fixed-gallery {

    height: 90vh;
    width: 90vw;
    object-fit: cover;

}

.gallery-fixed-text {

    position: fixed;
    bottom: 10vh;
    left: 10vw;
    color: white;
    font-size: 4vh;
    font-family: 'Roboto', sans-serif;


}

.title-grid-item {


    position:absolute;
    bottom: 5%;
    left: 5%;

    font-size: 3vh;
    font-weight: 600;
    color: white;
    -webkit-text-stroke: 1px black;


}







@media screen and (max-width: 992px){

    .img-gallery-fixed-xbtn-div {

        width: 10vw;

    }


    .img-gallery-fixed {

        height: 60vh;
        top: 20vh;

    }

    .img-from-gallery{

        height: 60vh;

    }

    .gallery-fixed-text {

    
        bottom: 25vh;
        left: 10vw;
        font-size: 3vh;
    
    
    }

    .title-grid-item {

        font-size: 2vh;

    }
    

}















.display-off {

    display: none;
  
  }
.on {
    opacity: 1;
}